# $Revision: 1.27 $, $Date: 2012/03/29 16:54:13 $
%define		ocaml_ver	1:3.09.2
Summary:	PCRE binding for OCaml
Summary(pl.UTF-8):	Wiązania PCRE dla OCamla
Name:		ocaml-pcre
Version:	6.2.2
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://hg.ocaml.info/release/pcre-ocaml/archive/release-%{version}.tar.bz2
# Source0-md5:	9c89466d8bb801a6235598b04a98af26
URL:		http://www.ocaml.info/home/ocaml_sources.html#toc15
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib
BuildRequires:	pcre-devel
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. It can be used for
matching regular expressions which are written in "Perl"-style.

This package contains files needed to run bytecode executables using
this library.

%description -l pl.UTF-8
Biblioteka zawarta w tym pakiecie umożliwia korzystanie z biblioteki
PCRE (wyrażenia regularne kompatybilne z Perlem), która jest z kolei
napisana w C. Może być ona używana do dopasowywania wyrażeń
regularnych napisanym w ,,stylu Perla''.

Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	PCRE binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania PCRE dla OCamla - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. It can be used for
matching regular expressions which are written in "Perl"-style.

This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Biblioteka zawarta w tym pakiecie umożliwia korzystanie z biblioteki
PCRE (wyrażenia regularne kompatybilne z Perlem), która jest z kolei
napisana w C. Może być ona używana do dopasowywania wyrażeń
regularnych napisanym w ,,stylu Perla''.

Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q -n pcre-ocaml-release-%{version}

%build
%{__make} -j1 all \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC -DPIC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/{site-lib/pcre,stublibs}

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml

install lib/pcre.cmx $RPM_BUILD_ROOT%{_libdir}/ocaml/pcre
rm -f $RPM_BUILD_ROOT%{_libdir}/ocaml/pcre/*.mli

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
# Makefiles there ain't usable
rm -f $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/*/Makefile

mv $RPM_BUILD_ROOT%{_libdir}/ocaml/pcre/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/pcre/
echo 'directory = "+pcre"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/pcre/META

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt Changelog
%dir %{_libdir}/ocaml/pcre
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc lib/*.mli
%{_libdir}/ocaml/pcre/*.cm[ixa]*
%{_libdir}/ocaml/pcre/*.a
%{_libdir}/ocaml/site-lib/pcre
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-pcre.spec,v $
Revision 1.27  2012/03/29 16:54:13  baggins
- release 2

Revision 1.26  2011/07/18 08:45:42  baggins
- make test

Revision 1.25  2011/07/18 08:05:00  baggins
- 6.2.2

Revision 1.24  2009/04/18 16:54:31  areq
- 5.16.4

Revision 1.23  2008/07/10 18:40:31  megabajt
- release 5

Revision 1.22  2008/06/28 20:20:11  arekm
- release 4

Revision 1.21  2008-02-01 16:34:45  glen
- rel 3

Revision 1.20  2008-01-31 17:27:52  glen
- rel 2

Revision 1.19  2007-12-02 11:41:27  baggins
- up to 5.12.2

Revision 1.18  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.16  2006/12/20 22:08:36  qboosh
- updated to existing version (5.11.2), spec cleanup

Revision 1.15  2006/12/20 21:58:52  qboosh
- updated URLs

Revision 1.14  2006/05/31 12:54:50  glen
- rel 6 (rebuild with ocaml-3.09.2)

Revision 1.13  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.12  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.11  2005/12/10 18:46:47  baggins
- release 3 for ocaml 3.09.0

Revision 1.10  2005/10/11 20:13:52  paszczus
- release up to rebuild with new ocaml

Revision 1.9  2005/08/23 20:38:35  paszczus
- updated to 5.10.1 ; STBR

Revision 1.8  2005/03/17 09:02:37  paszczus
- updated to 5.09.0

Revision 1.7  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.6  2003/09/03 20:53:12  malekith
- up to 5.03.3; rebuild with 3.07

Revision 1.5  2003/05/29 11:08:47  malekith
- proper directory in META

Revision 1.4  2003/05/29 10:55:50  malekith
- up to 5.03.1

Revision 1.3  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/11/27 22:06:25  juandon
- new %doc

Revision 1.1  2002/05/13 11:36:24  malekith
- inital; from scratch
